import org.kde.qt.*;
import org.kde.koala.*;

public class Test{
  static String description = "DCOP test application for Java";
  

  /**
   * test the DCOP stuff.
   *
   * This test doesn't simply construct a DCOPClient, because
   * dcop needs the eventloop (app.exec())
   */
  public static void main(String[] argv){
   KAboutData aboutData = new KAboutData( "test", "Test",
         "0.1", description, KAboutData.License_GPL,
         "(C) 2002 Gert-Jan van der Heiden");
    KCmdLineArgs.init( argv, aboutData );
    
    KApplication app = new KApplication();
    app.dcopClient().registerAs("JavaTest", false);
    JavaDCOPObject object = new JavaDCOPObject();
    app.exec();    
  }
  
  static{
    qtjava.initialize();
    kdejava.initialize();
  }
} 
